#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K07	"@(#)EM_K07.c	3.1";
	/****************************************************************/
	/*
	 *      K_get_process_status
	 */


/*
 *      K_get_process_status (
 *          1   procSeid, : seid           : long    (* process SEID  *)
 *          2  &status    : proc_stat_block: struct  (* status result *)
 *              )
 */

K_get_process_status( PprocSeid, PstatusP )
	seid                    PprocSeid;
	proc_stat_block         *PstatusP;
{
	K_err_num       ex;

	struct  {       /* Kgetps_param */
			seid            p_seid; /* const */
			/* vars */
			proc_stat_block vstatus;
		}pb;

	pb.p_seid = PprocSeid;

	ex = EMT07(&pb);

	st_copy(&pb.vstatus, PstatusP, sizeof(proc_stat_block) );

	return( ex );
}
